#ifndef _FLTK_INCLUDES_H_
#define _FLTK_INCLUDES_H_

#ifdef _LINUX
	#include <FL/Fl_Gl_Window.H>
#else 
	#include <FL/Fl_GL_Window.H>
	#include <windows.h>
#endif

// This .h file is intended to include all of the libraries necessary for fltk windowing.

#include <FL/Fl.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Slider.H>
#include <FL/fl_ask.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Int_Input.H>
#include <Fl/Fl_Box.h>
#include <Fl/Fl_Multi_Browser.h>

#include <FL/Fl_Light_Button.H>
#include <FL/Fl_Value_Slider.H>
#include <FL/Fl_Dial.H>

#include <FL/Fl_Menu_Bar.H>
#include <FL/Fl_Group.H>

#include <FL/fl_file_chooser.H>

#include <FL/gl.h>
//#include <GL/gl.h>
#include <GL/glu.h>

#endif
